play.db.jpa

## Class JPABase.JPAQueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.db.jpa.JPABase.JPAQueryException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    JPABase

      public static class JPABase.JPAQueryException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAQueryException(java.lang.String message)`
    `JPAQueryException(java.lang.String message, java.lang.Throwable e)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Throwable` | `findBestCause(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAQueryException

          public JPAQueryException(java.lang.String message)

    - #### JPAQueryException

          public JPAQueryException(java.lang.String message,
                                   java.lang.Throwable e)

  - ### Method Detail

    - #### findBestCause

          public static java.lang.Throwable findBestCause(java.lang.Throwable e)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly